org.eclipse.ease.modules.unittest.components

## Class Test

- java.lang.Object
- - org.eclipse.ease.modules.unittest.components.TestEntity
  - - org.eclipse.ease.modules.unittest.components.Test

    public class Test
    extends TestEntity

### Constructor Summary

Constructors
Constructor and Description
`Test(TestComposite parent, String title)`
`Test(TestComposite parent, String title, boolean isTransient)`
`Test(TestComposite parent, String title, String description)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addMessage(TestResult message)`
`void` `addMetaData(String identifier, String content)`
`String` `getDescription()`
`List<TestResult>` `getMessages()`
`Collection<TestResult>` `getMessages(TestStatus status)` Returns all messages with a given `TestStatus`.
`Map<String,String>` `getMetaData()`
`TestResult` `getSeverestMessage()`
`TestStatus` `getStatus()`
`List<IScriptDebugFrame>` `getTestLocation()`
`String` `getTitle()`
`boolean` `isTransient()`
`void` `reset()`
`void` `setDescription(String description)` Sets the test description.
`void` `setTestLocation(List<IScriptDebugFrame> stackTrace)`

### Methods inherited from class org.eclipse.ease.modules.unittest.components.TestEntity

`addTestListener, getExecutionTime, getParent, getStartTime, removeTestListener, setStatus`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Test

    public Test(TestComposite parent,
                String title,
                String description)

#### Test

    public Test(TestComposite parent,
                String title)

#### Test

    public Test(TestComposite parent,
                String title,
                boolean isTransient)

### Method Detail

#### getTitle

    public String getTitle()

#### getStatus

    public TestStatus getStatus()

Overrides:
  `getStatus` in class `TestEntity`

#### reset

    public void reset()

Overrides:
  `reset` in class `TestEntity`

#### setTestLocation

    public void setTestLocation(List<IScriptDebugFrame> stackTrace)

#### getTestLocation

    public List<IScriptDebugFrame> getTestLocation()

#### getDescription

    public String getDescription()

#### setDescription

    public void setDescription(String description)

Sets the test description. A previous description gets replaced by the new one.

Parameters:
  `description` - description to use

#### addMessage

    public void addMessage(TestResult message)

#### getMessages

    public List<TestResult> getMessages()

#### getSeverestMessage

    public TestResult getSeverestMessage()

#### getMessages

    public Collection<TestResult> getMessages(TestStatus status)

Returns all messages with a given `TestStatus`. Only messages with the exact TestStatus will be returned.

Parameters:
  `status` - TestStatus to query for
Returns:
  messages with given status

#### isTransient

    public boolean isTransient()

#### addMetaData

    public void addMetaData(String identifier,
                            String content)

#### getMetaData

    public Map<String,String> getMetaData()